<?php
/** -----------------------------------------
 *  Version: 2.50
 *  Web: http://www.gaestebuch-script.de/
 *  Auto: SchubertMedia
 *  E-Mail: info@schubertmedia.de
 *
 *  Es ist untersagt den Copyright-Hinweis zu
 *  entfernen bei den Gstebuch Script.
 *  Ein Copyright freie Version knnen Sie fr
 *  einmalig 10,- EUR inkl. 19 % MwSt. erwerben,
 *  hierzu mchten wir Sie bitten das Bestellformular
 *  http://www.gaestebuch-script.de/bestellen.php
 *  zu nutzen.
 * -----------------------------------------
 */
include_once(dirname(__FILE__) . '/../config.php');
if ($debug == 1) {
  error_reporting(E_ALL);
}
include_once(dirname(__FILE__) . '/dbi/dbi_mysqli.php');
include_once(dirname(__FILE__) . '/inc/functions.inc.php');
if (isset($charset)) {
  header('Content-Type: text/html; charset=' . $charset);
}
include_once(dirname(__FILE__) . '/template_header.tpl');
include_once(dirname(__FILE__) . '/inc/db.inc.php');
$lang = array();
if (file_exists(dirname(__FILE__) . '/../language/' . $language_file))
  include_once(dirname(__FILE__) . '/../language/' . $language_file);
else {
  echo 'No Language File existing.';
  exit;
}
$error = '';
$true = '';
$id = (int)get_postvar('id');
$name = get_postvar('name');
$icq = get_postvar('icq');
$email = get_postvar('email');
$betreff = get_postvar('betreff');
if (isset ($_POST["nachricht"])) {
  $nachricht = str_replace("\'", "'", $_POST['nachricht']);
  $nachricht = str_replace('\"', '"', $_POST['nachricht']);
} else {
  $nachricht = '';
}
$online = get_postvar('online');
if (!isset ($_POST["stunde"]))
  $stunde = '0';
else
  $stunde = sprintf("%02d", $_POST["stunde"]);

if (!isset ($_POST["min"]))
  $min = '0';
else
  $min = sprintf("%02d", $_POST["min"]);

if (!isset ($_POST["sec"]))
  $sec = '0';
else
  $sec = sprintf("%02d", $_POST["sec"]);

if (!isset ($_POST["monat"]))
  $monat = '0';
else
  $monat = sprintf("%02d", $_POST["monat"]);

if (!isset ($_POST["tag"]))
  $tag = '0';
else
  $tag = sprintf("%02d", $_POST["tag"]);

if (!isset ($_POST["jahr"]))
  $jahr = '0';
else
  $jahr = sprintf("%04d", $_POST["jahr"]);
if (isset ($_POST["save"]) == 'speichern') {
  $timestamp = mktime($stunde, $min, $sec, $monat, $tag, $jahr);
  if ($error == '' and $id != 0) {
    $rechsth = $dbh->prepare("UPDATE `gbeintrag` SET  name = ? , icq = ? , email = ? , betreff = ? , nachricht = ? , online = ?, datum = ?  WHERE id = ? LIMIT 1");
    $rechsth->execute($name, $icq, $email, $betreff, $nachricht, $online, $timestamp, $id);
    $true .=  $lang['admin_16'] . '<br>';
  } else {
    if ($error == '' and $id == 0) {
      $rechsth = $dbh->prepare("INSERT INTO `gbeintrag` (`name`, `icq`,`email`,`betreff`,`nachricht`, `online`,`datum`) VALUES (   ? , ? , ? , ? , ? , ?, ?  );");
      if ($rechsth->execute($name, $icq, $email, $betreff, $nachricht, $online, $timestamp)) {
        $id = $rechsth->insert_id();
        $true .=  $lang['admin_17'] . '<br>';
      } else {
        $error .=  $dbh->oSession->error . '<br>';
      }
    }
  }
}
if (isset ($_GET['id']) || $id != 0) {
  $sql_de = $dbh->prepare("SELECT * FROM `gbeintrag` WHERE id= ? ");
  if (!isset ($_GET['id'])) {
    $_GET['id'] = (int)$id;
  }
  $sql_de->execute($_GET['id']);
  if ($data = $sql_de->fetchrow_hash()) {
    $id = (int)$_GET['id'];
    foreach ($data as $key => $value) {
      $$key = strip_tags(trim(stripslashes(str_replace(array('<br>, <br />'), '&#10;', $value))));
    }
    $stunde = date("H", $data['datum']);
    $min = date("i", $data['datum']);
    $sec = date("s", $data['datum']);
    $monat = date("m", $data['datum']);
    $tag = date("d", $data['datum']);
    $jahr = date("Y", $data['datum']);
  } else {
    $error .= $lang['admin_18'] . '<br>';
    $id = 0;
    $name = '';
    $icq = '';
    $email = '';
    $betreff = '';
    $nachricht = '';
    $online = '';
    $stunde = date("H");
    $min = date("i");
    $sec = date("s");
    $monat = date("m");
    $tag = date("d");
    $jahr = date("Y");
  }
} else {
  $id = 0;
  $name = '';
  $icq = '';
  $email = '';
  $betreff = '';
  $nachricht = '';
  $online = '';
  $stunde = date("H");
  $min = date("i");
  $sec = date("s");
  $monat = date("m");
  $tag = date("d");
  $jahr = date("Y");
}
?>
    <h1><?php echo $lang['admin_19']; ?></h1>
    <p><?php echo $lang['admin_20']; ?></p>
<?php
if ($error != '') {
  ?>
    <p class="nicht-aktiv"><?php echo $error; ?></p>
  <?php

}
if ($true != '') {
  ?>
    <p class="aktiv"><?php echo $true; ?></p>
<?php } ?>
    <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
        <input type="hidden" name="save" value="speichern"/>
        <input type="hidden" name="id" value="<?php echo $id; ?>"/>
        <table class="tabelle">

            <tr>
                <td class="vm"><label for="name"><b><?php echo $lang['admin_7']; ?></b></label></td>
                <td colspan="6">
                    <input type="text" name="name" id="name" size="60" value="<?php echo $name; ?>">
                    <br>
                </td>
            </tr>
            <tr>
                <td class="vm"><label for="icq"><b><?php echo $lang['admin_8']; ?></b>&nbsp;<label</td>
                <td colspan="6">
                    <input type="number" name="icq" id="icq" size="60" value="<?php echo $icq; ?>">
                    <br>
                </td>
            </tr>
            <tr>
                <td class="vm"><label for="email"><b><?php echo $lang['admin_21']; ?></b>&nbsp;</label></td>
                <td colspan="6">
                    <input type="text" name="email" id="email" size="60" value="<?php echo $email; ?>">
                    <br>
                </td>
            </tr>
            <tr>
                <td class="vm"><label for="tag"><b><?php echo $lang['admin_44']; ?></b>&nbsp;</label></td>
                <td class="time">
                    <select name="tag" id="tag">
                      <?php
                      for ($index = 1; $index < 32; $index++) {
                        $index = sprintf("%02d", $index);
                        echo '<option value="' . $index . '" ' . (($index == $tag) ? 'selected' : '') . '>' . $index . '</option>';
                      }
                      ?>
                    </select>
                    &nbsp;.&nbsp;
                </td>
                <td class="time"><label>
                        <select name="monat">
                          <?php
                          for ($index = 1; $index < 13; $index++) {
                            $index = sprintf("%02d", $index);
                            echo '<option value="' . $index . '" ' . (($index == $monat) ? 'selected' : '') . '>' . $index . '</option>';
                          }
                          ?>
                        </select>
                    </label>&nbsp;.&nbsp;
                </td>
                <td class="time"><label>
                        <select name="jahr">
                          <?php
                          for ($index = 1970; $index < (intval(date('Y')) + 10); $index++) {
                            $index = sprintf("%04d", $index);
                            echo '<option value="' . $index . '" ' . (($index == $jahr) ? 'selected' : '') . '>' . $index . '</option>';
                          }
                          ?>
                        </select>
                    </label>&nbsp;
                </td>
                <td class="time"><label>
                        <select name="stunde">
                          <?php
                          for ($index = 0; $index < 25; $index++) {
                            $index = sprintf("%02d", $index);
                            echo '<option value="' . $index . '" ' . (($index == $stunde) ? 'selected' : '') . '>' . $index . '</option>';
                          }
                          ?>
                        </select>
                    </label>&nbsp;:&nbsp;
                </td>
                <td class="time"><label>
                        <select name="min">
                          <?php


                          for ($index = 0; $index < 61; $index++) {
                            $index = sprintf("%02d", $index);
                            echo '<option value="' . $index . '" ' . (($index == $min) ? 'selected' : '') . '>' . $index . '</option>';
                          }
                          ?>
                        </select>
                    </label>&nbsp;:&nbsp;
                </td>
                <td class="time"><label>
                        <select name="sec">
                          <?php


                          for ($index = 0; $index < 61; $index++) {
                            $index = sprintf("%02d", $index);
                            echo '<option value="' . $index . '" ' . (($index == $sec) ? 'selected' : '') . '>' . $index . '</option>';
                          }
                          ?>
                        </select>
                    </label></td>
            </tr>
            <tr>
                <td class="vm"><label for="betreff"><b><?php echo $lang['admin_22']; ?></b>&nbsp;</label></td>
                <td colspan="6"><label>
                        <input type="text" name="betreff" id="betreff" size="60"
                               value="<?php echo $betreff; ?>">
                    </label>
                    <br>
                </td>
            </tr>
            <tr>
                <td class="vm"><label for="nachricht"><b><?php echo $lang['admin_23']; ?></b>&nbsp;<label</td>
                <td colspan="6">
<textarea name="nachricht" id="nachricht" cols="50" rows="7"
          wrap="soft"><?php echo $nachricht; ?></textarea>

                    <br>
                </td>
            </tr>
            <tr>
                <td class="vm"><label for="online"><b><?php echo $lang['admin_24']; ?></b>&nbsp;</label></td>
                <td colspan="6">
                    <label>
                        <select name="online" id="online">
                            <option value="1" <?php echo(($online == 1) ? 'selected' : ''); ?>><?php echo $lang['admin_25']; ?></option>
                            <option value="2" <?php echo(($online == 2) ? 'selected' : ''); ?>><?php echo $lang['admin_26']; ?></option>
                        </select>
                    </label>

                    <br>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td colspan="6">
                    <input type="submit" name="Submit" value="<?php echo $lang['admin_27']; ?>"></td>
            </tr>
        </table>
    </form>
<?php include(dirname(__FILE__) . '/template_footer.tpl');
exit; ?>